> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fossapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Wallet Transactions

> Retrieve all transactions for a crypto wallet

## Path Parameters

<ParamField path="walletId" type="string" required>
  Crypto wallet ID (crypto address entity ID)
</ParamField>

## Headers

<ParamField header="x-api-key" type="string" required>
  API Key for authentication
</ParamField>

## Query Parameters

<ParamField query="page" type="number" default="1">
  Page number for pagination
</ParamField>

<ParamField query="limit" type="number" default="10">
  Number of items per page
</ParamField>

<ParamField query="transactionType" type="string">
  Filter by transaction type: `DEPOSIT`, `WITHDRAWAL`, `TRANSFER`
</ParamField>

<ParamField query="startDate" type="string">
  Start date filter (ISO string)
</ParamField>

<ParamField query="endDate" type="string">
  End date filter (ISO string)
</ParamField>

## Request Example

```bash theme={null}
curl -X GET "https://api-production.fossapay.com/v1/wallets/crypto/user:u3d/transactions?page=1&limit=10&transactionType=DEPOSIT" \
  -H "x-api-key: your_api_key_here"
```

```javascript theme={null}
const url = new URL(
  'https://api-production.fossapay.com/v1/wallets/crypto/user:u3d/transactions'
);

url.searchParams.set('page', '1');
url.searchParams.set('limit', '10');
url.searchParams.set('transactionType', 'DEPOSIT');
url.searchParams.set('startDate', '2024-01-01T00:00:00Z');
url.searchParams.set('endDate', '2024-12-31T23:59:59Z');

const response = await fetch(url.toString(), {
  method: 'GET',
  headers: {
    'x-api-key': 'your_api_key_here',
    'Content-Type': 'application/json',
  },
});

if (!response.ok) {
  throw new Error(`Request failed: ${response.status} ${response.statusText}`);
}

const data = await response.json();
const transactions = data.data.transactions;
console.log(transactions);
```

## Response

<ResponseExample>
  ```json Success Response theme={null}
  {
    "status": "success",
    "statusCode": 200,
    "message": "Wallet transactions retrieved successfully",
    "data": {
      "transactions": [
        {
          "id": "9495d974-4807-4c44-bd01-f5a69283aecc",
          "reference": "PTY_CRYPTO_16TY0WY7MM717C9",
          "externalReference": "76c230a2-dcbd-4b40-a671-7db8d055d1c6",
          "transactionType": "deposit",
          "status": "failed",
          "amountInCrypto": "10.00000000",
          "tokenSymbol": "usdxm",
          "tokenAddress": "z23BZbAiFRb6u5***64XjZPUud6dP6y2ZuKoYSM4LCY",
          "tokenDecimals": 6,
          "senderAddress": "YcnysYh3Y***PxkazFyiTx76Upv12iP4sNGeHA2H4z2",
          "recipientAddress": "8aQ3Y97fxiX26P***kc3keoQEz5MtWBCVk4pEx96Sqeb",
          "transactionHash": null,
          "explorerLink": null,
          "blockchain": "solana",
          "sourceWalletAddress": "YcnysYh3Y***PxkazFyiTx76Upv12iP4sNGeHA2H4z2",
          "recipientWalletAddress": "8aQ3Y97fxiX26P***kc3keoQEz5MtWBCVk4pEx96Sqeb",
          "sourceWalletId": null,
          "recipientWalletId": null,
          "createdAt": "2026-01-08T00:43:44+01:00",
          "updatedAt": "2026-01-08T00:43:56+01:00"
        },
        {
          "id": "85503565-cb04-4ba7-abfb-b75193553086",
          "reference": "PTY_CRYPTO_NWC3GZ6832M9VFQ",
          "externalReference": "58fdb6f8-9925-4982-a516-95aabf4a22d3",
          "transactionType": "deposit",
          "status": "failed",
          "amountInCrypto": "10.00000000",
          "tokenSymbol": "usdxm",
          "tokenAddress": "z23BZbAiFRb6u5***64XjZPUud6dP6y2ZuKoYSM4LCY",
          "tokenDecimals": 6,
          "senderAddress": "YcnysYh3Y***PxkazFyiTx76Upv12iP4sNGeHA2H4z2",
          "recipientAddress": "8aQ3Y97fxiX26P***kc3keoQEz5MtWBCVk4pEx96Sqeb",
          "transactionHash": null,
          "explorerLink": null,
          "blockchain": "solana",
          "sourceWalletAddress": "YcnysYh3Y***PxkazFyiTx76Upv12iP4sNGeHA2H4z2",
          "recipientWalletAddress": "8aQ3Y97fxiX26P***kc3keoQEz5MtWBCVk4pEx96Sqeb",
          "sourceWalletId": null,
          "recipientWalletId": null,
          "createdAt": "2026-01-08T00:38:24+01:00",
          "updatedAt": "2026-01-08T00:38:39+01:00"
        }
      ],
      "pagination": {
        "currentPage": 1,
        "totalPages": 1,
        "totalItems": 2,
        "itemsPerPage": 10,
        "hasNextPage": false,
        "hasPrevPage": false
      }
    }
  }
  ```
</ResponseExample>

## Error Responses

<ErrorResponse code="400">
  ```json Bad Request theme={null}
  {
    "status": "error",
    "statusCode": 400,
    "message": "Invalid request parameters"
  }
  ```
</ErrorResponse>

<ErrorResponse code="404">
  ```json Not Found theme={null}
  {
    "status": "error",
    "statusCode": 404,
    "message": "Wallet not found"
  }
  ```
</ErrorResponse>
